/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { PieChartBase } from "./PieChartBase";
import { PieChartBaseView } from "./PieChartBaseView";
import { markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let XamPieChart = /*@__PURE__*/ (() => {
    class XamPieChart extends PieChartBase {
        constructor() {
            super();
            this.je = null;
            this.ab = XamPieChart.$;
        }
        a3() {
            return new XamPieChartView(this);
        }
        gn(a) {
            super.gn(a);
            this.je = a;
        }
    }
    XamPieChart.$t = markType(XamPieChart, 'XamPieChart', PieChartBase.$);
    return XamPieChart;
})();
/**
 * @hidden
 */
export let XamPieChartView = /*@__PURE__*/ (() => {
    class XamPieChartView extends PieChartBaseView {
        constructor(a) {
            super(a);
            this.b6 = null;
            this.b6 = a;
        }
    }
    XamPieChartView.$t = markType(XamPieChartView, 'XamPieChartView', PieChartBaseView.$);
    return XamPieChartView;
})();
